<?php
ini_set('include_path', "../.." . PATH_SEPARATOR . get_include_path());
include_once("pre.php");
header('Content-Type: application/json');
//header('Content-Type: text/html');
$ruta=$_GET['ruta'].'/';
$superruta = '../../';
//echo $ruta;
$archivos = array();
$archivos[] = array("nombre"=> "..", "ruta" =>"..", "tipo" => "directorio");
/**
	La funcion devuelve las apariciones de un string concreto
*/

function esFichero($nombre){	
	return strstr($nombre,'.');	
}

if ($gestor = opendir($superruta.$ruta)) {	
	/* Esta es la forma correcta de iterar sobre el directorio. */	
	while (false !== ($entrada = readdir($gestor))) {		
		if(!esFichero($entrada)){			
				$archivos[] = array("nombre"=>$entrada,"ruta" =>$ruta.$entrada, "tipo" => "directorio");	
		}else{
			if($entrada !="." && $entrada !=".."){				
				$archivos[]= array("nombre"=>$entrada, "ruta"=>Shop::$configuracion->url.$ruta.$entrada,"tipo"=>"imagen");
			}
		}		
		//echo "$entrada\n";	
	}	
	closedir($gestor);	
}
echo '{"archivos":'.json_encode($archivos).'}';
?>